<template>
    <div class="section__items-item">
        <div class="section__items-item-left">
            <div class="section__items-image">
                <img v-if="user.photo" :src="'/storage/' + user.photo" alt="user-photo"/>
                <img v-else src="/images/user-avatar-default.png" alt="user-avatar-default"/>
            </div>
        </div>
            <div class="section__items-item-top">
                <div class="section__items-item-top-left">
                    <div v-if="user.categories" class="section__items-item-categories">
                        <div class="item-category" v-for="(category, key) in user.categories">
                          <template v-if="category.master_1 && key <= 9">
                            {{ category.master_1 }}{{ user.categories.length > key + 1 ? ',' : '' }}
                          </template>
                        </div>
                    </div>
                    <div class="section__items-item-title">
                        <a v-if="!headerPhone" :href="'/user/' + user.id" disabled="disabled">
                          {{ user.name }}
                        </a>
                        <a v-else style="cursor: default">
                          {{ user.name }}
                        </a>
                    </div>
                    <div v-if="headerPhone" class="section__items-item-buttons current-user">
                      <a v-on:click="getPhoneNumber(user.id)" class="btn-phone">+{{ userPhone }}</a>
                    </div>
                </div>
            </div>
            <div class="section__items-item-right">
            <div class="section__items-item-info">
                <p>Стаж работы {{ user.work_experience }} {{ correctWordEnding(user.work_experience, ['год', 'года', 'лет']) }}</p>
                <p v-if="user.about_text">{{ user.about_text }}</p>
            </div>
            <div v-if="user.discount" class="section__items-item-discount">
                <span v-if="user.discount === 100">Бесплатно</span>
                <span v-else>{{ user.discount }}%</span>
                {{ user.discount_text }}
            </div>
            <div v-if="user.images.length" class="section__items-item-gallery">
                <div ref="swiper" class="swiper">
                    <div class="swiper-wrapper">
                        <div v-for="photo in user.images" class="swiper-slide">
                            <a :href="'/storage/' + photo.path.replace('_small', '_big')" :data-fancybox="'gallery-' + user.id">
                              <img
                                  :src="'/storage/' + photo.path"
                                  alt=""
                                  loading="lazy"
                              />
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div v-if="user.adverts" class="section__items-item-prices">
                <div v-for="(advert, key) in user.adverts" v-if="key <= (allAdverts ? user.adverts.length - 1 : 3)" class="price-row">
                    <span>{{ advert.name }}</span>
                    <span v-if="advert.pivot.price"> ₽ {{ advert.pivot.price }} / {{ measuresList(advert.measure) }}</span>
                    <span v-else>по договоренности</span>
                </div>
                <div v-if="user.adverts.length > 4 && !allAdverts" class="price-row last">
                    <a :href="'/user/' + user.id">Все услуги и цены {{ allAdverts ? '(' + user.adverts.length + ')': ''}}</a>
                </div>
            </div>
            <div v-if="!headerPhone" class="section__items-item-buttons">
              <a v-on:click="getPhoneNumber(user.id)" class="btn-phone">+{{ userPhone }}</a>
            </div>
        </div>
    </div>
</template>

<script>
import Swiper from 'swiper';
import {measuresList} from "@utils/measureList";
import {correctWordEnding} from "@utils/helpers";

export default {
    props: ['user', 'headerPhone', 'allAdverts'],
    data() {
        return {
          userPhone: this.user.phone,
        }
    },
    mounted() {
        new Swiper(this.$refs.swiper, {
          preloadImages: false,
          slidesPerView: 6,
          lazy: true,
          watchSlidesVisibility: true,
        })
    },
    methods: {
      correctWordEnding,
      measuresList,
      getPhoneNumber(shortPhone) {
          axios
              .post('/api/getphone/', {item: shortPhone })
              .then(result => {
                  this.userPhone = result.data.success;
              })
          ;
      },
    }
}
</script>

